Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.reporters
Class ResultAction

    java.lang.Object
      org.apache.jmeter.testelement.AbstractTestElement
          org.apache.jmeter.testelement.OnErrorTestElement
              org.apache.jmeter.reporters.ResultAction

All Implemented Interfaces:
  Cloneable, SampleListener, Serializable, TestElement

public class ResultAction
extends OnErrorTestElement
implements Serializable, SampleListener

ResultAction - take action based on the status of the last Result

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.jmeter.testelement.OnErrorTestElement
`ON_ERROR_ACTION, ON_ERROR_CONTINUE, ON_ERROR_STOPTEST, ON_ERROR_STOPTEST_NOW, ON_ERROR_STOPTHREAD`

Fields inherited from interface org.apache.jmeter.testelement.TestElement
`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

Constructor Summary
`ResultAction()`

Method Summary
`void` | `sampleOccurred(SampleEvent e)` Examine the sample(s) and take appropriate action
`void` | `sampleStarted(SampleEvent e)` A sample has started.
`void` | `sampleStopped(SampleEvent e)` A sample has stopped.

Methods inherited from class org.apache.jmeter.testelement.OnErrorTestElement
`getErrorAction, isContinue, isStopTest, isStopTestNow, isStopThread, setErrorAction`

Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement
`addProperty, addTestElement, canRemove, clear, clearTemporary, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResultAction

    public ResultAction()

Method Detail

### sampleOccurred

    public void sampleOccurred(SampleEvent e)

  Examine the sample(s) and take appropriate action

  Specified by:
    `sampleOccurred` in interface `SampleListener`
  See Also:
    `SampleListener.sampleOccurred(org.apache.jmeter.samplers.SampleEvent)`

### sampleStarted

    public void sampleStarted(SampleEvent e)

  Description copied from interface: `SampleListener`
  A sample has started.

  Specified by:
    `sampleStarted` in interface `SampleListener`

### sampleStopped

    public void sampleStopped(SampleEvent e)

  Description copied from interface: `SampleListener`
  A sample has stopped.

  Specified by:
    `sampleStopped` in interface `SampleListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.